package com.viettel.campaign.controller;

import com.viettel.campaign.DTO.ApParamDTO;
import com.viettel.campaign.model.ApParam;
import com.viettel.campaign.service.ApParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@Controller
@RequestMapping("/ipcc")
public class ApParamController {

    @Autowired(required=true)
    ApParamService apParamService;

    @GetMapping(path = "/apParam/findAlls")
    @ResponseBody
    public ResponseEntity<List<ApParam>> listAllCustomer(){
        List<ApParam> listCustomer = (List<ApParam>) apParamService.getAllParams();
        if(listCustomer.isEmpty()) {
            return new ResponseEntity(HttpStatus.NO_CONTENT);
        }
        return new ResponseEntity<List<ApParam>>(listCustomer, HttpStatus.OK);
    }

    @PostMapping(path = "/apParam/findByName")
    @ResponseBody
    public ResponseEntity<List<ApParam>> searchParamByName(@RequestParam(name = "parName") String parName) {
        List<ApParam> lst = apParamService.getParamByName(parName);
        if (lst.isEmpty())
            return new ResponseEntity<>(HttpStatus.NO_CONTENT);

        return new ResponseEntity<List<ApParam>>(lst, HttpStatus.OK);
    }
}
