package com.viettel.campaign.controller;

import com.viettel.campaign.service.CustomerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@Controller
@RequestMapping("/ipcc")
public class CustomerController {

    @Autowired(required=true)
    CustomerService customerService;

    @GetMapping("/customer/findAll")
    @ResponseBody
    public ResponseEntity findAllCustomer(@RequestParam("page") int page, @RequestParam("pageSize") int pageSize, @RequestParam("sort") String sort) {
        Map result = customerService.listAllCustomer(page, pageSize, sort);
        return new ResponseEntity<>(result, HttpStatus.OK);
    }

    @GetMapping("/customer/findCustName")
    @ResponseBody
    public ResponseEntity findAllCustomerName(@RequestParam("page") int page, @RequestParam("pageSize") int pageSize, @RequestParam("sort") String sort, @RequestParam("name") String name) {
        Map result = customerService.listCustByName(page, pageSize, sort, name);
        return new ResponseEntity(result, HttpStatus.OK);
    }
}
