package com.viettel.campaign.service;

import com.viettel.campaign.model.Customer;
import com.viettel.campaign.repository.CustomerRepository;
import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.Sort;
import org.springframework.stereotype.Service;

import javax.persistence.EntityManager;
import javax.persistence.Query;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class CustomerServiceImpl implements CustomerService {

    @Autowired
    EntityManager entityManager;
    @Autowired
    CustomerRepository customerRepository;

    @Override
    public Map listAllCustomer(int page, int pageSize, String sort) {
        Map result = new HashMap();
        List<Customer> lst = new ArrayList<>();

        Pageable pageable = PageRequest.of(page, pageSize, Sort.by(sort));
        Page<Customer> pc = customerRepository.findAll(pageable);

        result.put("totalItem", pc.getTotalElements());
        result.put("customers", pc.iterator());

        return result;
    }

    @Override
    public Map listCustByName(int page, int pageSize, String sort, String name) {
        Map result = new HashMap();
        List<Customer> lst = new ArrayList<>();

        Pageable pageable = PageRequest.of(page, pageSize, Sort.by(sort));
        lst = customerRepository.findByName(name, pageable);

        result.put("totalItem", lst.size());
        result.put("customers", lst);

        return result;
    }
}
